// this file is covered by the General Public License version 2 or later
// please see GPL.html for more details and licensing issues
// copyright Etienne de Foras ( the author )  mailto: etienne.deforas@gmail.com

#ifndef DockAutofocus_H
#define DockAutofocus_H

#include <QtGui/QDockWidget>

class Device;

namespace Ui
{
    class DockAutofocus;
}

class DockAutofocus : public QDockWidget
{
    Q_OBJECT
    Q_DISABLE_COPY(DockAutofocus)
public:
    explicit DockAutofocus(QWidget *parent = 0);
    virtual ~DockAutofocus();

    void device_changed(Device* pDevice);

signals:
    void device_changed(void* pSender);

public slots:
    void OnAF();

protected:
    virtual void changeEvent(QEvent *e);

private:
    Ui::DockAutofocus *m_ui;
    Device* _pDevice;
};

#endif // DOCKLIGHTPROPERTIES_H
