// this file is covered by the General Public License version 2 or later
// please see GPL.html for more details and licensing issues
// copyright Etienne de Foras ( the author )  mailto: etienne.deforas@gmail.com

#ifndef FRAMESIDEVIEW_H
#define FRAMESIDEVIEW_H

#include <QtGui/QFrame>

namespace Ui
{
    class FrameSideView;
}

class Device;
class FrameSideView : public QFrame
{
    Q_OBJECT
    Q_DISABLE_COPY(FrameSideView)
public:
    explicit FrameSideView(QWidget *parent = 0);
    virtual ~FrameSideView();
    void device_changed(Device* pDevice);

signals:
    void device_changed(void* pSender);

protected:
    virtual void changeEvent(QEvent *e);

private:
    Ui::FrameSideView *m_ui;
    Device* _pDevice;

    static void enlarge(QRectF& r,double dRatio);
};

#endif // FRAMESIDEVIEW_H
