// this file is covered by the General Public License version 2 or later
// please see GPL.html for more details and licensing issues
// copyright Etienne de Foras ( the author )  mailto: etienne.deforas@gmail.com

#include "MediumManager.h"
#include "Medium.h"
#include "MediumAir.h"
#include "MediumBK7.h"
#include "MediumF2.h"

//////////////////////////////////////////////////////////////////////////////
Medium* MediumManager::create(string sMedium)
{
    if (sMedium=="air")
        return new MediumAir;

    if (sMedium=="BK7")
        return new MediumBK7;

    if (sMedium=="F2")
        return new MediumF2;

    return 0;
}
//////////////////////////////////////////////////////////////////////////////
void MediumManager::destroy(Medium* pMedium)
{
    delete pMedium;
}
//////////////////////////////////////////////////////////////////////////////
