TARGET = QtLens
TEMPLATE = app
win32:RC_FILE = QTLens.rc
RESOURCES += QtLens.qrc
TRANSLATIONS = QtLens_fr.ts
SOURCES += main.cpp \
    mainwindow.cpp \
    DockLightProperties.cpp \
    FrameSideView.cpp \
    DockAutofocus.cpp \
    DockScatterPlot.cpp \
    DockSurfacesData.cpp \
    DeviceModifierAF.cpp \
    DeviceModifier.cpp \
    SurfacePerfect.cpp \
    Photon.cpp
HEADERS += mainwindow.h \
    DockLightProperties.h \
    FrameSideView.h \
    DockScatterPlot.h \
    DockAutofocus.h \
    DockSurfacesData.h \
    DeviceModifier.h \
    DeviceModifierAF.h \
    SurfacePerfect.h
FORMS += mainwindow.ui \
    DockLightProperties.ui \
    FrameSideView.ui \
    DockAutofocus.ui \
    DockScatterPlot.ui \
    DockSurfacesData.ui

# internal engine files
INCLUDEPATH += ../Util
SOURCES += Device.cpp \
    DeviceIo.cpp \
    Surface.cpp \
    SurfaceManager.cpp \
    SurfaceConic.cpp \
    Light.cpp \
    Photon.h \
    MediumManager.cpp \
    Medium.cpp \
    MediumBK7.cpp \
    MediumF2.cpp \
    MediumAir.cpp \
    ../Util/Properties.cpp
HEADERS += Device.h \
    DeviceIo.h \
    Surface.h \
    SurfaceManager.h \
    SurfaceConic.h \
    Light.h \
    Photon.h \
    MediumManager.h \
    Medium.h \
    MediumBK7.h \
    MediumF2.h \
    MediumAir.h \
    ../Util/Properties.h \
    QtLensDefines.h
OTHER_FILES += todo.txt
