// this file is covered by the General Public License version 2 or later
// please see GPL.html for more details and licensing issues
// copyright Etienne de Foras ( the author )  mailto: etienne.deforas@gmail.com

#ifndef _SurfaceConic_
#define _SurfaceConic_

#include "Surface.h"
struct Photon;

class SurfaceConic : public Surface
{
public:
    SurfaceConic();

    virtual bool get(string sParam,double& dVal);
    virtual bool set(string sParam,double dVal);

protected:
    virtual void stop_photon(Photon& p,bool bVerifyRadius=true);
    virtual void reflect_photon(Photon& p);
    virtual void transmit_photon(Photon& p);

private:
    double _dConic;
    double _dCurvature;
};

#endif
