#ifndef _Propertiess_
#define _Propertiess_

#include <map>
#include <string>

using namespace std;

/**
Simple association (dictionnary key-values ) class

Handle creation, loading and saving from files, adding and testing keys.

@author Etienne de Foras
@version 1.00
*/
class Properties
{

public:
    Properties();

    bool save(string sFileName);
    bool load(string sFileName);

    void set(string sKey, string sValue);
    void set(string sKey, int iValue);
    void set(string sKey, double dValue);

    bool exist(string sKey);

    string get(string sKey);
    int get_int(string sKey);
    double get_double(string sKey);

private:
    map<string,string> _pairs;
};

#endif
