// this file is covered by the General Public License version 2 or later
// please see GPL.html for more details and licensing issues
// copyright Etienne de Foras ( the author )  mailto: etienne.deforas@gmail.com

#include "SurfaceManager.h"
#include "Surface.h"
#include "SurfaceConic.h"
#include "SurfacePerfect.h"

//////////////////////////////////////////////////////////////////////////////
Surface* SurfaceManager::create(string sGeometry)
{
    if (sGeometry=="conic")
    {
        return new SurfaceConic;
    }

    if (sGeometry=="perfect")
    {
        return new SurfacePerfect;
    }

    return 0;
}
//////////////////////////////////////////////////////////////////////////////
void SurfaceManager::destroy(Surface* pSurface)
{
    delete pSurface;
}
//////////////////////////////////////////////////////////////////////////////
